MPI_Group_range_excl(3)

NAME
MPI_Group_range_excl - Produces a group by excluding ranges of processes from an existing group.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Group_range_excl(MPI_Group group, int n, int ranges[][3],
	MPI_Group *newgroup)

INPUT PARAMETERS

group
    Group (handle).

n   Number of triplets in array ranges (integer).

ranges
    A one-dimensional array of integer triplets of the form (first rank, last rank, stride), indicating the ranks in group of processes to be excluded from the output group newgroup.

OUTPUT PARAMETERS

newgroup
    New group derived from above, preserving the order in group (handle).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Each computed rank must be a valid rank in group and all computed ranks must be distinct, or else the program is erroneous.

The functionality of this routine is specified to be equivalent to expanding the array of ranges to an array of the excluded ranks and passing the resulting array of ranks and other arguments to MPI_Group_excl. A call to MPI_Group_excl is equivalent to a call to MPI_Group_range_excl with each rank i in ranks replaced by the triplet (i,i,1) in the argument ranges.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO

MPI_Group_excl
MPI_Group_free